---
updatedAt: 2026-05-13T09:05:03.000Z
---

# updateCase

Create a new case with interactions

# Details

## Responses and Response Schema

<details><summary><em>201</em></summary><br>

<details><summary><em>Top-level Object</em></summary><br>

| Field Name            | Type           | Description                                                                                                                      |
| :-------------------- | :------------- | :------------------------------------------------------------------------------------------------------------------------------- |
| id\*                  | string         |                                                                                                                                  |
| number\*              | string         | The case number to display to Khoros Care Agents                                                                                 |
| customerId\*          | string         | The ID of the customer associated with this new case.                                                                            |
| title\*               | string         | The title of the case.                                                                                                           |
| description\*         | string         | The longer form description of the case.                                                                                         |
| url\*                 | string         | The URI the agent can click on to see the case.                                                                                  |
| lastUpdated\*         | string         | ISO8601 DateTime of when the case was last updated.                                                                              |
| created\*             | string         | ISO8601 DateTime of when the case was created.                                                                                   |
| status\*              | string         | **Allowed Values** `open`, `closed`                                                                                              |
| interactions          | array\[object] |                                                                                                                                  |
| customCasePropertyOne | string         | An example of a custom field on the Case object. These will only be present if specified via the **/meta/object/case endpoint**. |
| customCasePropertyTwo | string         | An example of a custom field on the Case object. These will only be present if specified via the **/meta/object/case endpoint**. |

</details>

<details><summary><em>Interactions Object</em></summary><br>

| Field Name    | Type   | Description                                                                                             |
| :------------ | :----- | :------------------------------------------------------------------------------------------------------ |
| created\*     | string | The creation date of the interaction on the origin service.                                             |
| body\*        | string | The text of the interaction.                                                                            |
| linkUrl\*     | string | The direct link to the context on the origin service when available.                                    |
| serviceId\*   | string | The social service the interaction originated.                                                          |
| service\*     | string | The social service the interaction originated.                                                          |
| contentType\* | string | The type of content the interaction is on the origin service. Examples include: `post`, `comment`, etc. |

</details>

<details><summary><em>Author Object</em></summary><br>

| Field Name   | Type    | Descritpion                                                                    |
| :----------- | :------ | :----------------------------------------------------------------------------- |
| service\*    | string  | The social service of the author.                                              |
| serviceId\*  | string  | The id of the author on the origin service.                                    |
| handle\*     | string  | The handle of the author on the origin service.                                |
| name\*       | string  | The screen name of the author on the origin service.                           |
| brandOwned\* | boolean | A flag that signals if the author belongs to an account added to the platform. |

</details></details>

<details><summary><em>400</em></summary><br>

| Field Name | Type           | Description                   |
| :--------- | :------------- | :---------------------------- |
| fields     | array\[object] |                               |
| error      | string         | Name of the error code.       |
| message    | string         | Message passable to the user. |

<details><summary><em>fields object</em></summary><br>

| Field Name     | Type   |
| :------------- | :----- |
| name\*         | string |
| errorMessage\* | string |

</details></details>

<details><summary><em>401</em></summary><br>
API key is invalid or has become de-authenticated
</details>

<details><summary><em>404</em></summary><br>
No case exists with the provided ID
</details>

<details><summary><em>422</em></summary><br>

| Field Name | Type   | Description                   |
| :--------- | :----- | :---------------------------- |
| error\*    | string | Name of the error or code.    |
| message\*  | string | Message passable to the user. |

</details>

<details><summary><em>500</em></summary><br>
Unexpected Error

| Field Name | Type   | Description                   |
| :--------- | :----- | :---------------------------- |
| error      | string | Name of the error or code.    |
| message    | string | Message passable to the user. |

</details></details>

<br />

</details></details>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-specifications",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://{your-domain}.com",
      "variables": {
        "your-domain": {
          "default": "your-domain"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/case/{id}": {
      "patch": {
        "summary": "updateCase",
        "description": "Create a new case with interactions",
        "operationId": "updatecase",
        "parameters": [
          {
            "name": "x-sf-email",
            "in": "header",
            "description": "The email id of the Khoros Care agent performing the action.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "x-sf-initiative",
            "in": "header",
            "description": "The id of the active Khoros Care initiative the user is in when performing the action. **Format:** int64",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "x-sf-company-id",
            "in": "header",
            "description": "The Khoros Care id of the company the user is in when making the request. **Format:** int64",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The case ID to update.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "customId": {
                    "type": "string"
                  },
                  "title": {
                    "type": "string"
                  },
                  "interactions": {
                    "type": "array",
                    "items": {
                      "properties": {
                        "created": {
                          "type": "string",
                          "description": "The creation date of the interaction on the origin service. **Format:** date-time"
                        },
                        "body": {
                          "type": "string",
                          "description": "The text of the interaction."
                        },
                        "linkUrl": {
                          "type": "string",
                          "description": "The direct link to the content on the origin service when available."
                        },
                        "serviceId": {
                          "type": "string",
                          "description": "The id of the content on the origin service."
                        },
                        "service": {
                          "type": "string",
                          "description": "The social service the interaction originated.",
                          "default": "facebook"
                        },
                        "contentType": {
                          "type": "string",
                          "description": "The type of content the interaction is on the origin service. Examples include: `post`, `comment`, etc.",
                          "default": "post"
                        },
                        "author": {
                          "type": "object",
                          "required": [
                            "service",
                            "serviceId",
                            "handle",
                            "name",
                            "brandOwned"
                          ],
                          "properties": {
                            "service": {
                              "type": "string",
                              "description": "The social service of the author.",
                              "default": "facebook"
                            },
                            "serviceId": {
                              "type": "string",
                              "description": "The id of the author on the origin service."
                            },
                            "handle": {
                              "type": "string",
                              "description": "The handle of the author on the origin service."
                            },
                            "name": {
                              "type": "string",
                              "description": "The screen name of the author on the origin service."
                            },
                            "brandOwned": {
                              "type": "boolean",
                              "description": "A flag that signals if the author belongs to an account added to the platform."
                            }
                          }
                        }
                      },
                      "required": [
                        "created",
                        "body",
                        "linkUrl",
                        "serviceId",
                        "service",
                        "contentType"
                      ],
                      "type": "object"
                    }
                  },
                  "customCasePropertyOne": {
                    "type": "string",
                    "description": "An example of a custom field on the Case object."
                  },
                  "customCasePropertyTwo": {
                    "type": "string",
                    "description": "An example of a custom field on the Case object."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "See Details for Schema"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "See Details for Schema"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "See Details for Schema"
                  }
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "See Details for Schema"
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "See Details for Schema"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```